package cn.com.countrygarden.bi.main.service.insuranceOrder;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.insuranceOrder.InsuranceOrderDTO;
import cn.com.countrygarden.bi.main.dto.tbsysuser.RtsUserQuery;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.dup.DupOrgan;
import cn.com.countrygarden.bi.main.model.insuranceOrder.InsuranceOrder;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * <p>
 *   保险订单业务处理接口
 * </p>
 *
 * @author 吕伟峰
 * @date 2020-07-15
 * @version V1.0
 */
public interface InsuranceOrderService {
    Result queryPageList(InsuranceOrderDTO insuranceOrder, int page, int size, AccessToken accessToken);

    Result listUser(RtsUserQuery tbSysUser, int page, int size, AccessToken accessToken);

    List<DupOrgan> findDupCommByUserCode(String userCode, String organCode, boolean isManager);

    Result queryById(Integer id);

    Result add(InsuranceOrder insuranceOrder, AccessToken accessToken);

    Result edit(InsuranceOrder insuranceOrder, AccessToken accessToken);

    Result del(Integer id,AccessToken accessToken);

    Result delpiliang(String ids,AccessToken accessToken);

    void downloadTemplate(String errorList,HttpServletRequest request, AccessToken accessToken, HttpServletResponse response) throws IOException;

    Result excelToxls(HttpServletRequest request,HttpServletResponse response,MultipartFile multipartFile, String fileName,String usname,String userCode, AccessToken accessToken)throws IOException;

    Result getAllRtsOrganTree(String userCode);

    boolean editOrganAuth(String userCode, String regionsCodeStr, String projectsCodeStr, AccessToken accessToken);

    void erpjiashuju();
}
